[versions]
kotlin = "2.0.20"
kotest = "5.9.1"
detekt = "1.23.7"
kotlinx-serialization-json = "1.7.1"

chinese-transliteration = "2.0.1"
cedict-parser = "3.0.0"
cross-straits-parser = "1.0.1"
moedict-parser = "1.0.0"
tatoeba-parser = "1.0.0"

opencc = "1.8.1"

sqlite-jdbc = "3.46.0.1"

[libraries]
chinese-transliteration = { module = "com.marvinelsen:chinese-transliteration", version.ref = "chinese-transliteration" }
cedict-parser = { module = "com.marvinelsen:cedict-parser", version.ref = "cedict-parser" }
cross-straits-parser = { module = "com.marvinelsen:cross-straits-parser", version.ref = "cross-straits-parser" }
moedict-parser = { module = "com.marvinelsen:moedict-parser", version.ref = "moedict-parser" }
tatoeba-parser = { module = "com.marvinelsen:tatoeba-parser", version.ref = "tatoeba-parser" }

opencc = { module = "com.github.houbb:opencc4j", version.ref = "opencc" }

sqlite-jdbc = { module = "org.xerial:sqlite-jdbc", version.ref = "sqlite-jdbc" }

kotlinx-serialization-json = { module = "org.jetbrains.kotlinx:kotlinx-serialization-json", version.ref = "kotlinx-serialization-json" }

# Kotest
# See: https://kotest.io
kotest-core = { module = "io.kotest:kotest-runner-junit5", version.ref = "kotest" }
kotest-assertions = { module = "io.kotest:kotest-assertions-core", version.ref = "kotest" }

# Detekt
# See: https://detekt.dev
detekt-formatting = { module = "io.gitlab.arturbosch.detekt:detekt-formatting", version.ref = "detekt" }

[plugins]
# Kotlin
# See: https://plugins.gradle.org/plugin/org.jetbrains.kotlin.jvm
kotlin-jvm = { id = "org.jetbrains.kotlin.jvm", version.ref = "kotlin" }
kotlin-serialization = { id = "org.jetbrains.kotlin.plugin.serialization", version.ref = "kotlin" }
# Detekt
# See: https://detekt.dev
detekt = { id = "io.gitlab.arturbosch.detekt", version.ref = "detekt" }